package com.yijia.market.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 营销方案对象 markert_plan
 *
 * @author yijia
 * @date 2021-01-26
 */
public class MarkertPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 方案名称 */
    @Excel(name = "方案名称")
    private String grade;

    /** 优惠条件（满100元） */
    @Excel(name = "优惠条件", readConverterExp = "满=100元")
    private String discountTerm;

    /** 优惠条件金额（100元） */
    @Excel(name = "优惠条件金额", readConverterExp = "1=00元")
    private String discountAmt;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private String gasoilDiscountAmt;

    /** 会员优惠是否叠加 */
    @Excel(name = "会员优惠是否叠加")
    private String vipDiscountyPlus;

    /** 可否叠加劵 */
    @Excel(name = "可否叠加劵")
    private String couponPlus;

    /** 优惠方案类型（1满减方案，2,立减方案） */
    @Excel(name = "优惠方案类型", readConverterExp = "1=满减方案，2,立减方案")
    private String discountPlanType;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 状态（1.在用状态，2，删除） */
    @Excel(name = "状态", readConverterExp = "0=.在用状态，1，删除")
    private String status;
    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGrade(String grade)
    {
        this.grade = grade;
    }

    public String getGrade()
    {
        return grade;
    }
    public void setDiscountTerm(String discountTerm)
    {
        this.discountTerm = discountTerm;
    }

    public String getDiscountTerm()
    {
        return discountTerm;
    }
    public void setDiscountAmt(String discountAmt)
    {
        this.discountAmt = discountAmt;
    }

    public String getDiscountAmt()
    {
        return discountAmt;
    }
    public void setGasoilDiscountAmt(String gasoilDiscountAmt)
    {
        this.gasoilDiscountAmt = gasoilDiscountAmt;
    }

    public String getGasoilDiscountAmt()
    {
        return gasoilDiscountAmt;
    }
    public void setVipDiscountyPlus(String vipDiscountyPlus)
    {
        this.vipDiscountyPlus = vipDiscountyPlus;
    }

    public String getVipDiscountyPlus()
    {
        return vipDiscountyPlus;
    }
    public void setCouponPlus(String couponPlus)
    {
        this.couponPlus = couponPlus;
    }

    public String getCouponPlus()
    {
        return couponPlus;
    }
    public void setDiscountPlanType(String discountPlanType)
    {
        this.discountPlanType = discountPlanType;
    }

    public String getDiscountPlanType()
    {
        return discountPlanType;
    }
    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("grade", getGrade())
            .append("discountTerm", getDiscountTerm())
            .append("discountAmt", getDiscountAmt())
            .append("gasoilDiscountAmt", getGasoilDiscountAmt())
            .append("vipDiscountyPlus", getVipDiscountyPlus())
            .append("couponPlus", getCouponPlus())
            .append("discountPlanType", getDiscountPlanType())
            .append("oilName", getOilName())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("status", getStatus())
            .toString();
    }
}
